KNOCKPY(1)

NAME
knockpy - Python tool designed to enumerate subdomains on a target domain

DESCRIPTION
usage: knockpy [-h] [-v] [-w WORDLIST] [-r] [-z] domain

    ___________________________________________

    knock subdomain scan (aka knockpy) | v.3.0 Author: Gianni 'guelfoweb' Amato Github: https://github.com/guelfoweb/knock ___________________________________________

  positional arguments:

domain
    specific target domain, like domain.com

  optional arguments:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

-w WORDLIST
    specific path to wordlist file

-r, --resolve
    resolve ip or domain name

-z, --zone
    check for zone transfer

EXAMPLE:

subdomain scan with internal wordlist

    knockpy domain.com

resolve domain name and get response headers

    knockpy -r domain.com

check zone transfer for domain name

    knockpy -z domain.com

The ALIAS name is marked in yellow